Package org.eclipse.team.ui.synchronize

# Class ParticipantSynchronizeWizard

java.lang.Object
org.eclipse.jface.wizard.Wizard
org.eclipse.team.ui.synchronize.ParticipantSynchronizeWizard

All Implemented Interfaces:
  `IShellProvider`, `IWizard`

Direct Known Subclasses:
  `ModelParticipantWizard`, `SubscriberParticipantWizard`

public abstract class ParticipantSynchronizeWizard extends Wizard
This is a convenience class for creating wizards for use with the `org.eclipse.team.ui.synchronizeWizard` extension point.

Since:
  3.2

## Field Summary

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ParticipantSynchronizeWizard()`
Create the wizard.

## Method Summary

Modifier and Type
Method
Description
`void`
`addPages()`
The `Wizard` implementation of this `IWizard` method does nothing.
`boolean`
`canFinish()`
Returns whether this wizard could be finished without further user interaction.
`protected abstract void`
`createParticipant()`
Method called from `performFinish()` to create a participant.
`protected abstract WizardPage`
`createScopeSelectionPage()`
Create the page which allows the user to select the scope for the operation.
`protected abstract IWizard`
`getImportWizard()`
Return a wizard that can be used to populate the workspace if there are no resources returned from `getRootResources()`.
`IWizardPage`
`getNextPage(IWizardPage page)`
Returns the successor of the given page.
`protected abstract String`
`getPageTitle()`
Return the page title for the page used by this wizard.
`protected abstract IResource[]`
`getRootResources()`
Return the resources that are the roots of the resource trees that can be considered for inclusion.
`IWizardPage`
`getStartingPage()`
Returns the first page to be shown in this wizard.
`String`
`getWindowTitle()`
Returns the window title string for this wizard.
`boolean`
`performCancel()`
The `Wizard` implementation of this `IWizard` method does nothing and returns `true`.
`boolean`
`performFinish()`
Subclasses must implement this `IWizard` method to perform any special finish processing for their wizard.

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getPage, getPageCount, getPages, getPreviousPage, getShell, getTitleBarColor, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParticipantSynchronizeWizard

protected ParticipantSynchronizeWizard()
Create the wizard.

## Method Details

### getWindowTitle

public String getWindowTitle()
Description copied from interface: `IWizard`
Returns the window title string for this wizard.

Specified by:
  `getWindowTitle` in interface `IWizard`
Overrides:
  `getWindowTitle` in class `Wizard`
Returns:
  the window title string, or `null` for no title

### addPages

public void addPages()
Description copied from class: `Wizard`
The `Wizard` implementation of this `IWizard` method does nothing. Subclasses should extend if extra pages need to be added before the wizard opens. New pages should be added by calling `addPage`.

Specified by:
  `addPages` in interface `IWizard`
Overrides:
  `addPages` in class `Wizard`

### performFinish

public boolean performFinish()
Description copied from class: `Wizard`
Subclasses must implement this `IWizard` method to perform any special finish processing for their wizard.

Specified by:
  `performFinish` in interface `IWizard`
Specified by:
  `performFinish` in class `Wizard`
Returns:
  `true` to indicate the finish request was accepted, and `false` to indicate that the finish request was refused

### getNextPage

public IWizardPage getNextPage(IWizardPage page)
Description copied from interface: `IWizard`
Returns the successor of the given page.

This method is typically called by a wizard page

Specified by:
  `getNextPage` in interface `IWizard`
Overrides:
  `getNextPage` in class `Wizard`
Parameters:
  `page` - the page
Returns:
  the next page, or `null` if none

### performCancel

public boolean performCancel()
Description copied from class: `Wizard`
The `Wizard` implementation of this `IWizard` method does nothing and returns `true`. Subclasses should reimplement this method if they need to perform any special cancel processing for their wizard.

Specified by:
  `performCancel` in interface `IWizard`
Overrides:
  `performCancel` in class `Wizard`
Returns:
  `true` to indicate the cancel request was accepted, and `false` to indicate that the cancel request was refused

### canFinish

public boolean canFinish()
Description copied from interface: `IWizard`
Returns whether this wizard could be finished without further user interaction.

The result of this method is typically used by the wizard container to enable or disable the Finish button.

Specified by:
  `canFinish` in interface `IWizard`
Overrides:
  `canFinish` in class `Wizard`
Returns:
  `true` if the wizard could be finished, and `false` otherwise

### getStartingPage

public IWizardPage getStartingPage()
Description copied from interface: `IWizard`
Returns the first page to be shown in this wizard.

Specified by:
  `getStartingPage` in interface `IWizard`
Overrides:
  `getStartingPage` in class `Wizard`
Returns:
  the first wizard page

### getPageTitle

protected abstract String getPageTitle()
Return the page title for the page used by this wizard.

Returns:
  the page title for the page used by this wizard

### getImportWizard

protected abstract IWizard getImportWizard()
Return a wizard that can be used to populate the workspace if there are no resources returned from `getRootResources()`.

Returns:
  a wizard that can be used to populate the workspace

### getRootResources

protected abstract IResource[] getRootResources()
Return the resources that are the roots of the resource trees that can be considered for inclusion.

Returns:
  the resources that are the roots of the resource trees that can be considered for inclusion

### createScopeSelectionPage

protected abstract WizardPage createScopeSelectionPage()
Create the page which allows the user to select the scope for the operation.

Returns:
  the page which allows the user to select the scope for the operation

### createParticipant

protected abstract void createParticipant()
Method called from `performFinish()` to create a participant. This participant will be added to the Synchronize view.